This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 848772 - Scalable ruby-1.8 and ruby-1.9 app's gears are not synchronized
Scalable ruby-1.8 and ruby-1.9 app's gears are not synchronized
Status: CLOSED WORKSFORME
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 07:36 EDT by jizhao
Modified: 2015-05-14 18:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:20:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-08-16 07:36:27 EDT
Description of problem:
Create a scalable ruby-1.8/ruby-1.9 app, do some changes to its home page and git push. Use curl to visit it. Sometimes we can still get the original Openshift Welcome page.

Version-Release number of selected component (if applicable):
devenv_1997

How reproducible:
Always

Steps to Reproduce:
1.Create a scalable ruby-1.8/ruby-1.9 app
2.Do some changes to its home page.
3.Use curl to visit that page several times.
  
Actual results:
Sometimes we can still get the original Openshift Welcome page.

Expected results:
All gears should be using the latest code.

Additional info:
Comment 1 Jhon Honce 2012-08-16 14:20:53 EDT
one screen --

while true; do
 curl --out /tmp/index.html.$(date +%N) http://app001-jwh201208160843.dev.rhcloud.com/
done

second screen --

git push


I was able to capture the state transitions for the application update:
 1) old code 
 2) 503 Service Temporarily Unavailable
 3) new code

Please re-open if you have a way to reproduce the issue.

Note You need to log in before you can comment on or make changes to this bug.